Module ij
Package ij.process

# Class StackConverter

java.lang.Object
ij.process.StackConverter

public class StackConverter extends Object
This class does stack type conversions.

## Constructor Summary

Constructors
Constructor
Description
`StackConverter(ImagePlus imp)`

## Method Summary

Modifier and Type
Method
Description
`void`
`convertToGray16()`
Converts this Stack to 16-bit grayscale.
`void`
`convertToGray32()`
Converts this Stack to 32-bit (float) grayscale.
`void`
`convertToGray8()`
Converts this Stack to 8-bit grayscale.
`void`
`convertToHSB32Hyperstack()`
Converts the stack (which must be RGB) to a 3 channel (hue, saturation and brightness) 32-bit hyperstack.
`void`
`convertToHSBHyperstack()`
Converts the stack (which must be RGB) to a 3 channel (hue, saturation and brightness) hyperstack.
`void`
`convertToIndexedColor(int nColors)`
Converts the stack to 8-bits indexed color.
`void`
`convertToLabHyperstack()`
Converts the stack (which must be RGB) to a 3 channel Lab hyperstack.
`void`
`convertToRGB()`
Converts the Stack to RGB.
`void`
`convertToRGBHyperstack()`
Converts the stack (which must be RGB) to a 3 channel (red, green and blue) hyperstack.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackConverter

public StackConverter(ImagePlus imp)

## Method Details

### convertToGray8

public void convertToGray8()
Converts this Stack to 8-bit grayscale.

### convertToGray16

public void convertToGray16()
Converts this Stack to 16-bit grayscale.

### convertToGray32

public void convertToGray32()
Converts this Stack to 32-bit (float) grayscale.

### convertToRGB

public void convertToRGB()
Converts the Stack to RGB.

### convertToRGBHyperstack

public void convertToRGBHyperstack()
Converts the stack (which must be RGB) to a 3 channel (red, green and blue) hyperstack.

### convertToHSBHyperstack

public void convertToHSBHyperstack()
Converts the stack (which must be RGB) to a 3 channel (hue, saturation and brightness) hyperstack.

### convertToHSB32Hyperstack

public void convertToHSB32Hyperstack()
Converts the stack (which must be RGB) to a 3 channel (hue, saturation and brightness) 32-bit hyperstack.

### convertToLabHyperstack

public void convertToLabHyperstack()
Converts the stack (which must be RGB) to a 3 channel Lab hyperstack.

### convertToIndexedColor

public void convertToIndexedColor(int nColors)
Converts the stack to 8-bits indexed color. 'nColors' must be greater than 1 and less than or equal to 256.